%define rname	full_fullscreen
%define cid 	\{bfe3406c-6f31-4789-86d5-efa50e12c9eb\}
%define ciddir  %firefox_noarch_extensionsdir/%cid

%def_with kiosk

Name: firefox-full_fullscreen
Version: 3.4
Release: alt1

Summary: Full Fullscreen extension for Firefox
License: MPL 1.1
Group: Networking/WWW

Url: https://addons.mozilla.org/en-US/firefox/addon/1568
Source: %rname-%version-fx.xpi
Patch: full_fullscreen-3.3-alt-kiosk-defaults.patch
Packager: Michael Shigorin <mike@altlinux.org>

BuildArch: noarch
BuildRequires(pre): rpm-build-firefox
BuildRequires: unzip

%description
Really fullscreen browsing.  Might also be useful for kiosks.

%prep
%setup -c
%if_with kiosk
%patch -p1
%endif

%install
mkdir -p %buildroot/%ciddir
cp -r * %buildroot/%ciddir

%postun
if [ "$1" = 0 ]; then [ ! -d "%ciddir" ] || rm -rf "%ciddir"; fi

%files
%ciddir

%changelog
* Wed Jan 27 2010 Alexey Gladkov <legion@altlinux.ru> 3.4-alt1
- New version (3.4 rc1)

* Fri Jul 10 2009 Michael Shigorin <mike@altlinux.org> 3.3-alt2
- applied kiosk defaults patch: start in fullscreen, hide tab bar

* Fri Jul 10 2009 Michael Shigorin <mike@altlinux.org> 3.3-alt1
- built for ALT Linux

